package de.hdm_stuttgart.mi.sd1;

/**
 * Creating a HTML formatted multiplication table.
 */

public class App {
    /**
     * @param args Yet unused
     */
    public static void main(String[] args) {
        final int LIMIT = 20;               // The number of records to be printed

        System.out.print("""
                <html xmlns='http://www.w3.org/1999/xhtml'>
                  <head>
                    <title>A square table</title>
                    <style>
                      table, td, th {
                        border: 1px solid black;
                      }
                      table {
                        border-collapse: collapse;
                      }
                      td {
                        text-align: right;
                      }
                    </style>
                  </head>
                  <body>
                    <table>
                      <tr>
                        <th>n</th><th>n * n</th>
                      </tr>
                      """);

        final int trBlockIndent = 6; // Each <tr>...</tr> is being indented by 6 spaces
        for (int i = 0; i <= LIMIT; i++) {  // Printing the table's body
            System.out.print(("""   
                  <tr>
                    <td>""" + i + "</td>").indent(trBlockIndent));
            System.out.print(("""                
                   <td>""" + i * i + "</td>").indent(trBlockIndent));
            System.out.print("""                        
                        </tr>
                        """.indent(trBlockIndent));
        }
        System.out.print("""
                    </table>  
                  </body>     
                </html>""");
    }
}
